Share via


Diagnostics - List Site Analyses Slot

Description for Get Site Analyses

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{siteName}/slots/{slot}/diagnostics/{diagnosticCategory}/analyses?api-version=2025-05-01

URI Parameters

Name In Required Type Description
diagnosticCategory
path True

string

Diagnostic Category

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

siteName
path True

string

Site Name

slot
path True

string

Slot - optional

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

DiagnosticAnalysisCollection

Azure operation completed successfully.

Other Status Codes

DefaultErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List App Analyses
List App Slot Analyses

List App Analyses

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/Production/diagnostics/availability/analyses?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "appanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/appanalysis",
      "properties": {
        "description": "Determine causes of availability loss as well as solutions for these problems"
      }
    },
    {
      "name": "apprestartanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/apprestartanalyses",
      "properties": {
        "description": "Find the reasons that your app restarted"
      }
    },
    {
      "name": "memoryanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/memoryanalysis",
      "properties": {
        "description": "Detect issues with memory as well as suggest ways to troubleshoot memory problems"
      }
    },
    {
      "name": "tcpconnectionsanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/tcpconnectionsanalysis",
      "properties": {
        "description": "Analyze port usage and find out if a high number of connections is causing problems for your web app"
      }
    },
    {
      "name": "perfanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/diagnostics/availability/analyses/perfanalysis",
      "properties": {
        "description": "Determine causes of performance degredation as well as solutions for these problems"
      }
    }
  ]
}

List App Slot Analyses

Sample request

GET https://management.azure.com/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses?api-version=2025-05-01

Sample response

{
  "value": [
    {
      "name": "appanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/appanalysis",
      "properties": {
        "description": "Determine causes of availability loss as well as solutions for these problems"
      }
    },
    {
      "name": "apprestartanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/apprestartanalyses",
      "properties": {
        "description": "Find the reasons that your app restarted"
      }
    },
    {
      "name": "memoryanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/memoryanalysis",
      "properties": {
        "description": "Detect issues with memory as well as suggest ways to troubleshoot memory problems"
      }
    },
    {
      "name": "tcpconnectionsanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/tcpconnectionsanalysis",
      "properties": {
        "description": "Analyze port usage and find out if a high number of connections is causing problems for your web app"
      }
    },
    {
      "name": "perfanalysis",
      "id": "/subscriptions/34adfa4f-cedf-4dc0-ba29-b6d1a69ab345/resourceGroups/Sample-WestUSResourceGroup/providers/Microsoft.Web/sites/SampleApp/slots/staging/diagnostics/availability/analyses/perfanalysis",
      "properties": {
        "description": "Determine causes of performance degredation as well as solutions for these problems"
      }
    }
  ]
}

Definitions

Name Description
AnalysisDefinition

Definition of Analysis

createdByType

The type of identity that created the resource.

DefaultErrorResponse

App Service error response.

DefaultErrorResponseError

Error model.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

DiagnosticAnalysisCollection

Collection of Diagnostic Analyses

systemData

Metadata pertaining to creation and last modification of the resource.

AnalysisDefinition

Definition of Analysis

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of resource.

name

string

The name of the resource

properties.description

string

Description of the Analysis

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultErrorResponse

App Service error response.

Name Type Description
error

DefaultErrorResponseError

Error model.

DefaultErrorResponseError

Error model.

Name Type Description
code

string

Standardized string to programmatically identify the error.

details

DefaultErrorResponseErrorDetailsItem[]

Detailed errors.

innererror

string

More information to debug error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DefaultErrorResponseErrorDetailsItem

Detailed errors.

Name Type Description
code

string

Standardized string to programmatically identify the error.

message

string

Detailed error description and debugging information.

target

string

Detailed error description and debugging information.

DiagnosticAnalysisCollection

Collection of Diagnostic Analyses

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

AnalysisDefinition[]

The AnalysisDefinition items on this page

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.